{% extends 'base.html.twig' %}

{% block title %}Contactos index{% endblock %}

{% block body %}
    <h1>Contactos index</h1>

    {{form_start(form_ordena,{'attr':{"id":"form_ordena"},})}}
    {{form_widget(form_ordena)}}
    {{form_end(form_ordena)}}
    Busca: <input type="text" id="busqueda" name="busqueda" placeholder="Nombre, apellidos">
    <div>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nombre</th>
                <th>Apellido1</th>
                <th>Apellido2</th>
                <th>Dni</th>
                <th>Teléfonos</th>
                <th>E-Mails</th>
                <th>Acciones</th>

            </tr>
        </thead>
        <tbody class="cuerpo_tabla_contactos" >
            {% include 'contactos/tabla.html.twig' %}
        </tbody>
            </table>
           </div>    
            <a href="{{ path('contactos_new') }}" id="btn_create" class="btn btn-primary">Create new</a>
            {% endblock %}
                {% block javascripts %}
                    <script>
                        document.querySelector("#btn_create").addEventListener("click", function () {
                            localStorage.clear();
                        });
                        
                        $('#busqueda').keyup(function(){      
                           busqueda=$(this).val();
                           console.log(busqueda);
                           $.ajax({
                               type:'POST',
                               url: '{{path('busqueda_ajax')}}',
                               data: {'busqueda':busqueda},
                               success:function(data){
                                $(".cuerpo_tabla_contactos").html(data);   
                               }
                           });
                        });
                    </script>
                {% endblock %}